Skip to main content
`Ctrl`+`K`

# DMPlexTransformSetTransformTypes

Set the `DMLabel` marking the transform type of each point for the transform

## Synopsis

    #include "petscdmplextransform.h"
    PetscErrorCode DMPlexTransformSetTransformTypes(DMPlexTransform tr, DMLabel trType)

## Input Parameters

- tr - The `DMPlexTransform` object

- trType - The original `DM` which will be transformed

## See Also

DMPlex: Unstructured Grids, `DM`, `DMPLEX`, `DMPlexTransform`, `DMPlexTransformGetTransformTypes()`, `DMPlexTransformGetActive())`, `DMPlexTransformApply()`, `DMPlexTransformCreate()`

## Level

intermediate

## Location

src/dm/impls/plex/transform/interface/plextransform.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages